<div class="mb-1 d-flex justify-content-end">
  <button class="btn btn-outline-primary me-3" routerLink="/dashboard"><i class="bi bi-arrow-left-circle"></i> Volver</button>
</div>

<div class="row">
  <div class="col-lg-12 "> 
    <div class="card">
  <div class="card-body">


    <div class="col-lg-6 align-items-center">
      <div class="d-flex cuadrofoto">
      <span  class="sinFoto">
    <span *ngIf="foto" >
      <img
          src='{{foto.ruta}}' alt="{{paciente.nombre}} {{paciente.apellido}}" 
          class="rounded-circle imgagenPerfil">
      </span>
    </span>

  </div>
<br><br>
      <form  method="post" [formGroup]="imagenesForm"
      novalidate>
        <p>
        <label>Cambiar Foto:</label>
      </p>
      <p>
        <input type="file" accept="image/x-png,image/jpeg"   id="file-input" class="form-control-file" formControlName="imgFile" 
        class="form-control-file" (change)="enviar($event,paciente.id)">
      </p>
   
        </form>


 </div>




    <div class="col-lg-6">

      <h2 class="card-title">{{paciente.nombre}} {{paciente.apellido}}</h2>
      <h5 class="card-subtitle text-muted mt-3">DNI: {{paciente.dni}}</h5>
      <h5 class="card-subtitle text-muted mt-3">Teléfono: {{paciente.telefono}}</h5>
      <h5 class="card-subtitle text-muted mt-3">Dirección: {{paciente.direccion}}</h5>

    
<div>
  <button class="btn btn-primary" style="margin-top: 5%;" routerLink="/datos-salud/historial-salud/{{paciente.id}}">Ver historial de salud</button>
</div>


</div>

       




</div>

</div>
</div>


</div>

<!-- <div class="row mt-5 d-flex justify-content-between">
  <div class="container">
    <app-top-cards></app-top-cards>
  </div>
  <br>
  <br>
</div> -->

<div class="row">
  <div class="col-lg-6">
    
    <div class="col-12">
      <div class="card">


    <div class="card-body">
    <h4 class="card-title ">Último recorrido</h4>
    <app-map></app-map>
  </div>

 </div>
</div>


  </div>
  <div class="col-lg-6">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-body">
            <div class="container">
            <h4 class="card-title">Cronograma de Medicamentos</h4>
            </div>
            <div class="table-responsive">
              <div *ngIf="medicamentosActivos.length==0">
                <div class="card" >
                  <div class="card-body">
                  
          
                      <div class="alert alert-warning" role="alert">
                         <p><i class="bi bi-exclamation-triangle-fill"></i>
                          No tiene medicamentos cargados.    
                        </p>
                               </div> 
                               <a routerLink="/cronograma-medicamentos/crear" class="btn btn-primary mt-3">Cargar</a>
             
                    </div>
                </div>
              
              </div>
              <table class="table align-middle text-nowrap"  *ngFor="let cronograma of cronogramas">
                <thead>
                  <tr>
                    <th class="text-dark font-medium fs-4">Medicamento</th>
                    <th class="text-dark font-medium fs-4">Días</th>
                    <th class="text-dark font-medium fs-4">Horarios</th>
                  </tr>
                </thead>
                <tbody *ngFor="let items of cronograma.items">
                  <tr *ngIf="items.estado!=false">
                    <td>
                      <div class="d-flex align-items-center">
                        <i class="bi bi-capsule"></i>
                        <div class="ms-3">
                          <h5 class="mb-0 font-medium">{{items.medicamento}}</h5>
                        </div>
                      </div>
                    </td>

                    <td>{{items.dias}}</td>

                    <td>{{items.hora}}</td>
                  </tr>
                </tbody>

                <a routerLink="/cronograma-medicamentos/editar/{{cronograma.id}}" class="btn btn-primary mt-3">Agregar Medicamento</a>
              
                </table>
              
            </div>

          </div>
        </div>

      </div>
    </div>

    <!-- <ng-template #noHayCronograma>

      <div class="alert alert-warning" role="alert">
        El paciente no registra un cronograma.
      </div>

      <a routerLink="/cronograma-medicamentos/crear" class="btn btn-primary mt-3">Crear Cronograma</a>

    </ng-template> -->


    
  </div>
</div>